Create appointment
Create appointment
POST
/
calendars
/
events
/
appointments
Create appointment
curl --request POST \
--url https://services.leadconnectorhq.com/calendars/events/appointments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"calendarId": "CVokAlI8fgw4WYWoCtQz",
"locationId": "C2QujeCh8ZnC7al2InWR",
"contactId": "0007BWpSzSwfiuSl0tR2",
"startTime": "2021-06-23T03:30:00+05:30",
"title": "Test Event",
"meetingLocationType": "custom",
"meetingLocationId": "custom_0",
"overrideLocationConfig": true,
"appointmentStatus": "confirmed",
"assignedUserId": "0007BWpSzSwfiuSl0tR2",
"description": "Booking a call to discuss the project",
"address": "Zoom",
"ignoreDateRange": false,
"toNotify": false,
"ignoreFreeSlotValidation": true,
"rrule": "RRULE:FREQ=DAILY;INTERVAL=1;COUNT=5",
"endTime": "2021-06-23T04:30:00+05:30"
}
'const options = {
method: 'POST',
headers: {
Version: '<version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
calendarId: 'CVokAlI8fgw4WYWoCtQz',
locationId: 'C2QujeCh8ZnC7al2InWR',
contactId: '0007BWpSzSwfiuSl0tR2',
startTime: '2021-06-23T03:30:00+05:30',
title: 'Test Event',
meetingLocationType: 'custom',
meetingLocationId: 'custom_0',
overrideLocationConfig: true,
appointmentStatus: 'confirmed',
assignedUserId: '0007BWpSzSwfiuSl0tR2',
description: 'Booking a call to discuss the project',
address: 'Zoom',
ignoreDateRange: false,
toNotify: false,
ignoreFreeSlotValidation: true,
rrule: 'RRULE:FREQ=DAILY;INTERVAL=1;COUNT=5',
endTime: '2021-06-23T04:30:00+05:30'
})
};
fetch('https://services.leadconnectorhq.com/calendars/events/appointments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/calendars/events/appointments"
payload = {
"calendarId": "CVokAlI8fgw4WYWoCtQz",
"locationId": "C2QujeCh8ZnC7al2InWR",
"contactId": "0007BWpSzSwfiuSl0tR2",
"startTime": "2021-06-23T03:30:00+05:30",
"title": "Test Event",
"meetingLocationType": "custom",
"meetingLocationId": "custom_0",
"overrideLocationConfig": True,
"appointmentStatus": "confirmed",
"assignedUserId": "0007BWpSzSwfiuSl0tR2",
"description": "Booking a call to discuss the project",
"address": "Zoom",
"ignoreDateRange": False,
"toNotify": False,
"ignoreFreeSlotValidation": True,
"rrule": "RRULE:FREQ=DAILY;INTERVAL=1;COUNT=5",
"endTime": "2021-06-23T04:30:00+05:30"
}
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"calendarId": "CVokAlI8fgw4WYWoCtQz",
"locationId": "C2QujeCh8ZnC7al2InWR",
"contactId": "0007BWpSzSwfiuSl0tR2",
"id": "0TkCdp9PfvLeWKYRRvIz",
"startTime": "2021-06-23T03:30:00+05:30",
"endTime": "2021-06-23T04:30:00+05:30",
"title": "Test Event",
"meetingLocationType": "custom",
"appointmentStatus": "confirmed",
"assignedUserId": "0007BWpSzSwfiuSl0tR2",
"address": "Zoom",
"isRecurring": "true",
"rrule": "RRULE:FREQ=DAILY;INTERVAL=1;COUNT=5"
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}Authorizations
Body
application/json
Response
Successful response
Last modified on March 8, 2026
Was this page helpful?
Create appointment
curl --request POST \
--url https://services.leadconnectorhq.com/calendars/events/appointments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"calendarId": "CVokAlI8fgw4WYWoCtQz",
"locationId": "C2QujeCh8ZnC7al2InWR",
"contactId": "0007BWpSzSwfiuSl0tR2",
"startTime": "2021-06-23T03:30:00+05:30",
"title": "Test Event",
"meetingLocationType": "custom",
"meetingLocationId": "custom_0",
"overrideLocationConfig": true,
"appointmentStatus": "confirmed",
"assignedUserId": "0007BWpSzSwfiuSl0tR2",
"description": "Booking a call to discuss the project",
"address": "Zoom",
"ignoreDateRange": false,
"toNotify": false,
"ignoreFreeSlotValidation": true,
"rrule": "RRULE:FREQ=DAILY;INTERVAL=1;COUNT=5",
"endTime": "2021-06-23T04:30:00+05:30"
}
'const options = {
method: 'POST',
headers: {
Version: '<version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
calendarId: 'CVokAlI8fgw4WYWoCtQz',
locationId: 'C2QujeCh8ZnC7al2InWR',
contactId: '0007BWpSzSwfiuSl0tR2',
startTime: '2021-06-23T03:30:00+05:30',
title: 'Test Event',
meetingLocationType: 'custom',
meetingLocationId: 'custom_0',
overrideLocationConfig: true,
appointmentStatus: 'confirmed',
assignedUserId: '0007BWpSzSwfiuSl0tR2',
description: 'Booking a call to discuss the project',
address: 'Zoom',
ignoreDateRange: false,
toNotify: false,
ignoreFreeSlotValidation: true,
rrule: 'RRULE:FREQ=DAILY;INTERVAL=1;COUNT=5',
endTime: '2021-06-23T04:30:00+05:30'
})
};
fetch('https://services.leadconnectorhq.com/calendars/events/appointments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/calendars/events/appointments"
payload = {
"calendarId": "CVokAlI8fgw4WYWoCtQz",
"locationId": "C2QujeCh8ZnC7al2InWR",
"contactId": "0007BWpSzSwfiuSl0tR2",
"startTime": "2021-06-23T03:30:00+05:30",
"title": "Test Event",
"meetingLocationType": "custom",
"meetingLocationId": "custom_0",
"overrideLocationConfig": True,
"appointmentStatus": "confirmed",
"assignedUserId": "0007BWpSzSwfiuSl0tR2",
"description": "Booking a call to discuss the project",
"address": "Zoom",
"ignoreDateRange": False,
"toNotify": False,
"ignoreFreeSlotValidation": True,
"rrule": "RRULE:FREQ=DAILY;INTERVAL=1;COUNT=5",
"endTime": "2021-06-23T04:30:00+05:30"
}
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"calendarId": "CVokAlI8fgw4WYWoCtQz",
"locationId": "C2QujeCh8ZnC7al2InWR",
"contactId": "0007BWpSzSwfiuSl0tR2",
"id": "0TkCdp9PfvLeWKYRRvIz",
"startTime": "2021-06-23T03:30:00+05:30",
"endTime": "2021-06-23T04:30:00+05:30",
"title": "Test Event",
"meetingLocationType": "custom",
"appointmentStatus": "confirmed",
"assignedUserId": "0007BWpSzSwfiuSl0tR2",
"address": "Zoom",
"isRecurring": "true",
"rrule": "RRULE:FREQ=DAILY;INTERVAL=1;COUNT=5"
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}